#include <stdio.h>
#include "tokenizer.h"
#include "schemeitem.h"
#include "linkedlist.h"
#include "parser.h"
#include "talloc.h"

/* Tokenize and then parse the input. */
int main()
{
    scheme_item_t *list = tokenize();
    scheme_item_t *tree = parse(list);

    printTree(tree);
    printf("\n");

    tfree();
    return 0;
}
